Subject: Re: Change git gui language (+ some other suggestions)

From: Kai Schlamp <[email-masked]>
Date: Fri, 17 Apr 2009 16:44:45 +0200

Oh I forgot to say. I am using Git under Cygwin (not quite sure if 
LANG=en also under Linux changes the keyboard layout too).

Kai Schlamp schrieb:
> Hello.
> 
> I know this had been discussed before
> (http://article.gmane.org/gmane.comp.version-control.git/61884/match=git+gui+language), 
> 
> 
> but in my opinion there is no acceptable solution yet.
> When I set LANG=en it also changes my keyboard layout and thats quite
> confusing. But the German terms used in git gui are even more confusing
> (I was even shocked when starting it the first time). People using git
> generally know what e.g. "commit" is. But the german translation
> ("Eintragen") seems to me a bad joke. I had to look at some screenshots
> of the english gui to find out what it is all about.
> I would suggest to keep the git idenfiers (like commit, push, pull,
> ....) in foreign languages.
> And please have an option to choose the language of the complete gui.
> Most developers I know of like to use tools in english, even if that is
> not their native language.
> Another thing I miss a bit is an option to select old commit messages
> (like the TortoiseHg client of the Mercurial project has).
> And a last one. It would be nice to have a menu item to add all
> untracked files at once. I had to add my own "Tool" for that.
> But apart from that (to not only nag ;-)), git gui is quite comfortable.
> 
> Fine regards,
> Kai
> 
>